<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

if ( ! fast_food_joint_has_page_header() ) {
    return;
}

$fast_food_joint_classes = array( 'page-header' );
$fast_food_joint_style = fast_food_joint_page_header_style();

if ( $fast_food_joint_style ) {
    $fast_food_joint_classes[] = $fast_food_joint_style . '-page-header';
}

$fast_food_joint_visibility = get_theme_mod( 'fast_food_joint_page_header_visibility', 'all-devices' );

if ( 'hide-all-devices' === $fast_food_joint_visibility ) {
    // Don't show the header at all
    return;
}

if ( 'hide-tablet' === $fast_food_joint_visibility ) {
    $fast_food_joint_classes[] = 'hide-on-tablet';
} elseif ( 'hide-mobile' === $fast_food_joint_visibility ) {
    $fast_food_joint_classes[] = 'hide-on-mobile';
} elseif ( 'hide-tablet-mobile' === $fast_food_joint_visibility ) {
    $fast_food_joint_classes[] = 'hide-on-tablet-mobile';
}

$fast_food_joint_PAGE_TITLE_background_color = get_theme_mod('fast_food_joint_page_title_background_color_setting', '');

// Get the toggle switch value
$fast_food_joint_background_image_enabled = get_theme_mod('fast_food_joint_page_header_style', true);

// Add background image to the header if enabled
$fast_food_joint_background_image = get_theme_mod( 'fast_food_joint_page_header_background_image', '' );
$fast_food_joint_background_height = get_theme_mod( 'fast_food_joint_page_header_image_height', '200' );
$fast_food_joint_inline_style = '';

if ( $fast_food_joint_background_image_enabled && ! empty( $fast_food_joint_background_image ) ) {
    $fast_food_joint_inline_style .= 'background-image: url(' . esc_url( $fast_food_joint_background_image ) . '); ';
    $fast_food_joint_inline_style .= 'height: ' . esc_attr( $fast_food_joint_background_height ) . 'px; ';
    $fast_food_joint_inline_style .= 'background-size: cover; ';
    $fast_food_joint_inline_style .= 'background-position: center center; ';

    // Add the unique class if the background image is set
    $fast_food_joint_classes[] = 'has-background-image';
}

$fast_food_joint_classes = implode( ' ', $fast_food_joint_classes );
$fast_food_joint_heading = get_theme_mod( 'fast_food_joint_page_header_heading_tag', 'h1' );
$fast_food_joint_heading = apply_filters( 'fast_food_joint_page_header_heading', $fast_food_joint_heading );

?>

<?php do_action( 'fast_food_joint_before_page_header' ); ?>

<header class="<?php echo esc_attr( $fast_food_joint_classes ); ?>" style="<?php echo esc_attr( $fast_food_joint_inline_style ); ?> background-color: <?php echo esc_attr($fast_food_joint_PAGE_TITLE_background_color); ?>;">

    <?php do_action( 'fast_food_joint_before_page_header_inner' ); ?>

    <div class="asterthemes-wrapper page-header-inner">

        <?php if ( fast_food_joint_has_page_header() ) : ?>

            <<?php echo esc_attr( $fast_food_joint_heading ); ?> class="page-header-title">
                <?php echo wp_kses_post( fast_food_joint_get_page_title() ); ?>
            </<?php echo esc_attr( $fast_food_joint_heading ); ?>>

        <?php endif; ?>

        <?php if ( function_exists( 'fast_food_joint_breadcrumb' ) ) : ?>
            <?php fast_food_joint_breadcrumb(); ?>
        <?php endif; ?>

    </div><!-- .page-header-inner -->

    <?php do_action( 'fast_food_joint_after_page_header_inner' ); ?>

</header><!-- .page-header -->

<?php do_action( 'fast_food_joint_after_page_header' ); ?>